Package com.google.gwt.user.server.rpc

## Class RPCRequest

- java.lang.Object
- - com.google.gwt.user.server.rpc.RPCRequest

-     public final class RPCRequest
      extends java.lang.Object

  Describes an incoming RPC request in terms of a resolved `Method` and an array of arguments.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RPCRequest​(java.lang.reflect.Method method, java.lang.Object[] parameters, RpcToken rpcToken, SerializationPolicy serializationPolicy, int flags)` | Construct an RPCRequest.
    `RPCRequest​(java.lang.reflect.Method method, java.lang.Object[] parameters, SerializationPolicy serializationPolicy, int flags)` | Construct an RPCRequest.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getFlags()` |
    `java.lang.reflect.Method` | `getMethod()` | Get the request's method.
    `java.lang.Object[]` | `getParameters()` | Get the request's parameters.
    `RpcToken` | `getRpcToken()` | Get the request's RPC token.
    `SerializationPolicy` | `getSerializationPolicy()` | Returns the `SerializationPolicy` used to decode this request.
    `java.lang.String` | `toString()` | For debugging use only.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RPCRequest

          public RPCRequest​(java.lang.reflect.Method method,
                            java.lang.Object[] parameters,
                            SerializationPolicy serializationPolicy,
                            int flags)

      Construct an RPCRequest.

    - #### RPCRequest

          public RPCRequest​(java.lang.reflect.Method method,
                            java.lang.Object[] parameters,
                            RpcToken rpcToken,
                            SerializationPolicy serializationPolicy,
                            int flags)

      Construct an RPCRequest.

  - ### Method Detail

    - #### getFlags

          public int getFlags()

    - #### getMethod

          public java.lang.reflect.Method getMethod()

      Get the request's method.

    - #### getParameters

          public java.lang.Object[] getParameters()

      Get the request's parameters.

    - #### getRpcToken

          public RpcToken getRpcToken()

      Get the request's RPC token.

    - #### getSerializationPolicy

          public SerializationPolicy getSerializationPolicy()

      Returns the `SerializationPolicy` used to decode this request. This is also the `SerializationPolicy` that should be used to encode responses.
      Returns:
        `SerializationPolicy` used to decode this request

    - #### toString

          public java.lang.String toString()

      For debugging use only.
      Overrides:
        `toString` in class `java.lang.Object`